2019-08-21 22:19 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000119mercuryBugpublic2010-12-13 17:27
Reporterpbone 
Assigned Topbone 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000119: par_conj/consume_wait test is failing in low-level C parallel grades.
Description
The par_conj/consume_wait test is failing in low-level C parallel grades. I've tested this on goofy using the current CVS version and gcc 3.4. I don't remember noticing this on taura or goliath.
Additional Information
{ [ -f consume_wait.inp ] && cat consume_wait.inp; } | MERCURY_OPTIONS=-P2 ./consume_wait > consume_wait.out 2>&1 || \
                { grep . consume_wait.out /dev/null; exit 1; }
Aborted
consume_wait.out:consume_wait: par_builtin.m:150: par_builtin_module2: Assertion `Future->MR_fut_signalled' failed.
consume_wait.out:1
make[5]: *** [consume_wait.out] Error 1
make[5]: Target `consume_wait.runtest' not remade because of errors.
make[5]: Leaving directory `/mnt/g12/goofy-workspaces/pbone/clean/tests/par_conj'
FAILED TEST par_conj/consume_wait in grade asm_fast.gc.par
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000235

pbone (administrator)

Somehow work-stealing fixes this test case failure. I still want to know why it was failing though, I'll continue investigating.

~0000296

pbone (administrator)

There was a change some months ago to the dependent parallelism transformation that fixed a problem with the same symptoms. I think it's safe to close this bug and re-open it if the problem reoccurs.
+Notes

-Issue History
Date Modified Username Field Change
2009-12-14 11:29 pbone New Issue
2009-12-14 11:29 pbone Status new => assigned
2009-12-14 11:29 pbone Assigned To => pbone
2009-12-16 12:37 pbone Note Added: 0000235
2010-12-13 17:26 pbone Note Added: 0000296
2010-12-13 17:27 pbone Status assigned => resolved
2010-12-13 17:27 pbone Resolution open => fixed
+Issue History